net.minecraft.entity.passive

## Class EntityTameable

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.EntityLivingBase
    - - net.minecraft.entity.EntityLiving
      - - net.minecraft.entity.EntityCreature
        - - net.minecraft.entity.EntityAgeable
          - - net.minecraft.entity.passive.EntityAnimal
            - - net.minecraft.entity.passive.EntityTameable

- All Implemented Interfaces:
    IEntityOwnable, IAnimals
  Direct Known Subclasses:
    EntityOcelot, EntityWolf

      public abstract class EntityTameable
      extends EntityAnimal
      implements IEntityOwnable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.entity.Entity

      `Entity.EnumEntitySize`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EntityAISit` | `aiSit`

    - ### Fields inherited from class net.minecraft.entity.EntityCreature

      `entityToAttack, field_110179_h, field_110181_i, fleeingTick, hasAttacked`

    - ### Fields inherited from class net.minecraft.entity.EntityLiving

      `defaultPitch, equipmentDropChances, experienceValue, livingSoundTime, numTicksToChaseTarget, targetTasks, tasks`

    - ### Fields inherited from class net.minecraft.entity.EntityLivingBase

      `arrowHitTimer, attackedAtYaw, attackingPlayer, attackTime, cameraPitch, dead, deathTime, entityAge, field_110154_aX, field_70741_aB, field_70763_ax, field_70764_aw, field_70768_au, field_70769_ao, field_70770_ap, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, lastDamage, limbSwing, limbSwingAmount, maxHurtResistantTime, maxHurtTime, moveForward, moveStrafing, newPosRotationIncrements, newPosX, newPosY, newPosZ, newRotationPitch, newRotationYaw, prevCameraPitch, prevHealth, prevLimbSwingAmount, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, randomYawVelocity, recentlyHit, renderYawOffset, rotationYawHead, scoreValue, swingProgress, swingProgressInt`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dataWatcher, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityUniqueID, extendedProperties, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, inPortal, inWater, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, isImmuneToFire, isInWeb, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, portalCounter, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, rand, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, teleportDirection, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityTameable(World par1World)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `entityInit()`
    `boolean` | `func_142018_a(EntityLivingBase par1EntityLivingBase, EntityLivingBase par2EntityLivingBase)`
    `EntityAISit` | `func_70907_r()`
    `EntityLivingBase` | `getOwner()`
    `java.lang.String` | `getOwnerName()`
    `Team` | `getTeam()`
    `void` | `handleHealthUpdate(byte par1)`
    `boolean` | `isOnSameTeam(EntityLivingBase par1EntityLivingBase)`
    `boolean` | `isSitting()`
    `boolean` | `isTamed()`
    `protected void` | `playTameEffect(boolean par1)`
    `void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)`
    `void` | `setOwner(java.lang.String par1Str)`
    `void` | `setSitting(boolean par1)`
    `void` | `setTamed(boolean par1)`
    `void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)`

    - ### Methods inherited from class net.minecraft.entity.passive.EntityAnimal

      `attackEntity, attackEntityFrom, canDespawn, canMateWith, findPlayerToAttack, func_146082_f, func_146083_cb, getBlockPathWeight, getCanSpawnHere, getExperiencePoints, getTalkInterval, interact, isBreedingItem, isInLove, onLivingUpdate, resetInLove, updateAITick`

    - ### Methods inherited from class net.minecraft.entity.EntityAgeable

      `addGrowth, createChild, getGrowingAge, isChild, setGrowingAge, setScale, setScaleForAge, setSize`

    - ### Methods inherited from class net.minecraft.entity.EntityCreature

      `detachHome, func_110174_bM, func_142017_o, getEntityToAttack, getHomePosition, hasHome, hasPath, isMovementCeased, isWithinHomeDistance, isWithinHomeDistanceCurrentPosition, setHomeArea, setPathToEntity, setTarget, updateEntityActionState, updateLeashedState, updateWanderPath`

    - ### Methods inherited from class net.minecraft.entity.EntityLiving

      `addRandomArmor, allowLeashing, applyEntityAttributes, canAttackClass, canBeSteered, canPickUpLoot, clearLeashed, despawnEntity, dropEquipment, dropFewItems, eatGrassBonus, enchantEquipment, faceEntity, func_110146_f, func_110163_bv, func_130225_q, getAlwaysRenderNameTag, getAlwaysRenderNameTagForRender, getArmorItemForSlot, getArmorPosition, getAttackTarget, getCommandSenderName, getCustomNameTag, getDropItem, getEntitySenses, getEquipmentInSlot, getHeldItem, getJumpHelper, getLastActiveItems, getLeashed, getLeashedToEntity, getLivingSound, getLookHelper, getMaxSafePointTries, getMaxSpawnedInChunk, getMoveHelper, getNavigator, getRenderSizeModifier, getVerticalFaceSpeed, hasCustomNameTag, interactFirst, isAIEnabled, isNoDespawnRequired, onEntityUpdate, onSpawnWithEgg, onUpdate, playLivingSound, setAIMoveSpeed, setAlwaysRenderNameTag, setAttackTarget, setCanPickUpLoot, setCurrentItemOrArmor, setCustomNameTag, setEquipmentDropChance, setLeashedToEntity, setMoveForward, spawnExplosionParticle, updateAITasks`

    - ### Methods inherited from class net.minecraft.entity.EntityLivingBase

      `addPotionEffect, applyArmorCalculations, applyPotionDamageCalculations, attackEntityAsMob, canBeCollidedWith, canBePushed, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, collideWithEntity, collideWithNearbyEntities, curePotionEffects, damageArmor, damageEntity, decreaseAirSupply, dismountEntity, dropRareDrop, fall, func_110142_aN, func_142015_aE, func_146066_aG, func_146067_o, func_94060_bK, getAbsorptionAmount, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getArrowCountInEntity, getAttributeMap, getCreatureAttribute, getDeathSound, getEntityAttribute, getEyeHeight, getHealth, getHurtSound, getItemIcon, getLastAttacker, getLastAttackerTime, getLook, getLookVec, getMaxHealth, getPosition, getRNG, getRotationYawHead, getSoundPitch, getSoundVolume, getSwingProgress, getTotalArmorValue, heal, isClientWorld, isEntityAlive, isEntityUndead, isMovementBlocked, isOnLadder, isOnTeam, isPlayer, isPlayerSleeping, isPotionActive, isPotionActive, isPotionApplicable, jump, kill, knockBack, moveEntityWithHeading, onChangedPotionEffect, onDeath, onDeathUpdate, onFinishedPotionEffect, onItemPickup, onNewPotionEffect, performHurtAnimation, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAbsorptionAmount, setArrowCountInEntity, setBeenAttacked, setHealth, setJumping, setLastAttacker, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, setRotationYawHead, setSprinting, shouldRiderFaceForward, swingItem, updateArmSwingProgress, updateFallState, updatePotionEffects, updateRidden`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, canRiderInteract, canTriggerWalking, copyDataFrom, copyLocationAndAnglesFrom, dealFireDamage, doesEntityNotTriggerPressurePlate, dropItem, entityDropItem, equals, extinguish, func_145748_c_, func_145771_j, func_145772_a, func_145774_a, func_145775_I, func_145778_a, func_145780_a, func_145781_i, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityId, getEntityString, getExtendedProperties, getFlag, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getShadowSize, getSplashSound, getSwimSound, getTeleportDirection, getUniqueID, getYOffset, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, isBurning, isCreatureType, isEating, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRender3d, isInRangeToRenderDist, isInsideOfMaterial, isInvisible, isInvisibleToPlayer, isInWater, isOffsetPositionInLiquid, isPushedByWater, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, newDoubleNBTList, newFloatNBTList, onChunkLoad, onCollideWithPlayer, onKillEntity, onStruckByLightning, playSound, preparePlayerToSpawn, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setDead, setEating, setEntityId, setFire, setFlag, setInPortal, setInvisible, setInWeb, setLocationAndAngles, setOnFireFromLava, setPosition, setPositionAndRotation, setRotation, setSneaking, setVelocity, setWorld, shouldDismountInWater, shouldRenderInPass, shouldRiderSit, shouldSetPosAfterLoading, toString, travelToDimension, updateRiderPosition, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### aiSit

          protected EntityAISit aiSit

  - ### Constructor Detail

    - #### EntityTameable

          public EntityTameable(World par1World)

  - ### Method Detail

    - #### entityInit

          protected void entityInit()

      Overrides:
        `entityInit` in class `EntityAgeable`

    - #### writeEntityToNBT

          public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `writeEntityToNBT` in class `EntityAnimal`

    - #### readEntityFromNBT

          public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `readEntityFromNBT` in class `EntityAnimal`

    - #### playTameEffect

          protected void playTameEffect(boolean par1)

    - #### handleHealthUpdate

          public void handleHealthUpdate(byte par1)

      Overrides:
        `handleHealthUpdate` in class `EntityAnimal`

    - #### isTamed

          public boolean isTamed()

    - #### setTamed

          public void setTamed(boolean par1)

    - #### isSitting

          public boolean isSitting()

    - #### setSitting

          public void setSitting(boolean par1)

    - #### getOwnerName

          public java.lang.String getOwnerName()

      Specified by:
        `getOwnerName` in interface `IEntityOwnable`

    - #### setOwner

          public void setOwner(java.lang.String par1Str)

    - #### getOwner

          public EntityLivingBase getOwner()

      Specified by:
        `getOwner` in interface `IEntityOwnable`

    - #### func_70907_r

          public EntityAISit func_70907_r()

    - #### func_142018_a

          public boolean func_142018_a(EntityLivingBase par1EntityLivingBase,
                              EntityLivingBase par2EntityLivingBase)

    - #### getTeam

          public Team getTeam()

      Overrides:
        `getTeam` in class `EntityLivingBase`

    - #### isOnSameTeam

          public boolean isOnSameTeam(EntityLivingBase par1EntityLivingBase)

      Overrides:
        `isOnSameTeam` in class `EntityLivingBase`